# Add app domain (/docs/reference/Rest-API/api-docs/brands/addBrandAppDomain)


{/* This file was generated by Fumadocs. Do not edit this file directly. Any changes should be made by running the generation command again. */}

## POST /v2/organizations/{organizationid}/brands/{brandid}/app-domain

`POST https://api.verdocs.com/v2/organizations/{organizationid}/brands/{brandid}/app-domain`

### Path parameters

- `organizationid` (string, required)
- `brandid` (string, required)

### Request body

Content type `application/json`, required. Body Parameters.

- `subdomain` (string, required): The subdomain to serve Verdocs from (e.g. sign.acme.com).

### Responses

#### 200: Success

Content type `application/json`.

Type: `IBrand`

- `email_display_name` (string, required): @deprecated. Use email_sender_name instead.
- `locale` (string): The long-form timezone.
- `timezone` (string): The locale code.

#### 400: Request Error

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 401: Access Denied

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 404: Not Found

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 406: Invalid Parameter

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

### Example request

```bash
curl -X POST "https://api.verdocs.com/v2/organizations/ORGANIZATIONID/brands/BRANDID/app-domain" \
    -H "Authorization: Bearer ACCESS_TOKEN" \
    -H "content-type: application/json" \
    -d '{"param": "value"}'
```
